POST /v1/invoices/{uuid}/network

Set invoice network

Sets or changes the network of a pending invoice and allocates a deposit address (or TON memo).

Body parameters

network string required

Network code. Only allowed while the invoice is pending and nothing was received.

Response 200

{
    "uuid": "9b1f2c3e-5a4d-4e8f-9c21-7d3b8e6a1f00",
    "status": "pending",
    "order_id": "INV-1001",
    "title": "Order #1001",
    "amount": "10",
    "currency": "USDT",
    "platform_fee": "0.08",
    "network_fee": "0",
    "pay_amount": "10.08",
    "merchant_net": "10",
    "fee_payer": "buyer",
    "network": "TON",
    "address": "UQBx…master",
    "memo": "ZYVO-7KQ2M9XA",
    "checkout_url": "https://zyvopay.com/pay/9b1f2c3e-5a4d-4e8f-9c21-7d3b8e6a1f00",
    "qr_svg": "<svg …>",
    "received_amount": "0",
    "confirmations": 0,
    "required_confirmations": 19,
    "tx_hash": null,
    "metadata": {
        "customer_id": 42
    },
    "expires_at": "2026-10-16T22:00:00Z",
    "paid_at": null,
    "created_at": "2026-10-16T21:00:00Z"
}

All requests must be signed — see Authentication.

BODY='{"network":"TON"}'
SIG=$(printf '%s' "$BODY" | openssl dgst -sha256 -hmac "$ZYVO_SECRET" | cut -d" " -f2)
curl -X POST https://api.zyvopay.com/v1/invoices/9b1f2c3e-5a4d-4e8f-9c21-7d3b8e6a1f00/network \
  -H "X-Zyvo-Key: $ZYVO_KEY" \
  -H "X-Zyvo-Signature: $SIG" \
  -H "Content-Type: application/json" \
  -d "$BODY"
Try it live

Requests hit the live API with your keys. Your secret stays in this browser tab.